## org.apache.commons.collections
Interface Closure

All Known Implementing Classes:
  ChainedClosure, ExceptionClosure, ForClosure, IfClosure, NOPClosure, SwitchClosure, TransformerClosure, WhileClosure

public interface Closure

Defines a functor interface implemented by classes that do something.

A `Closure` represents a block of code which is executed from inside some block, function or iteration. It operates an input object.

Standard implementations of common closures are provided by `ClosureUtils`. These include method invokation and for/while loops.

Since:
  Commons Collections 1.0
Version:
  $Revision: 1.11 $ $Date: 2004/04/14 20:08:56 $
Author:
  James Strachan, Nicola Ken Barozzi, Stephen Colebourne

Method Summary
`void` `execute(Object input)` Performs an action on the specified input object.

Method Detail

### execute

    public void execute(Object input)

  Performs an action on the specified input object.

  Parameters:
    `input` - the input to execute on
  Throws:
    `ClassCastException` - (runtime) if the input is the wrong class
    `IllegalArgumentException` - (runtime) if the input is invalid
    `FunctorException` - (runtime) if any other error occurs

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.